
%define rel 1

Summary:        This lib provides gantt support
Name:           kdgantt2
Version: 16.08.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires: cmake
BuildRequires: libqt5core-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5widgets-devel 

%description
This lib provides gantt support.

%files
%_kf5_sysconfdir/xdg/kdgantt2.categories

#--------------------------------------------------------------------

%define kf5kdgantt2_major 5
%define libkf5kdgantt2 %mklibname kf5kdgantt2_ %{kf5kdgantt2_major}

%package -n %libkf5kdgantt2
Summary:      This lib provides gantt support
Group:        System/Libraries

Requires:     %name = %version-%release

%description -n %libkf5kdgantt2
This lib provides gantt support.

%files -n %libkf5kdgantt2
%_kf5_libdir/libKF5KDGantt2.so.%{kf5kdgantt2_major}*

#--------------------------------------------------------------------

%define kf5kdgantt2_devel %mklibname kf5kdgantt2 -d

%package -n %kf5kdgantt2_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5kdgantt2 = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kdgantt2_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kdgantt2_devel
%_kf5_includedir/KDGantt2
%_kf5_includedir/kdgantt2
%_kf5_includedir/kdgantt2_version.h
%_kf5_libdir/libKF5KDGantt2.so
%_kf5_libdir/cmake/KF5KDGantt2
%_qt5_prefix/mkspecs/modules/qt_KDGantt2.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --all %{name}5


%changelog
* Tue May 02 2017 adrianomorselli <adrianomorselli> 16.08.3-1uplos2017
- update
